View Issue Details

IDProjectCategoryView StatusLast Update
11784Feature requests[All Projects] Survey takingpublic2018-04-06 11:48
ReporterDenisChenuAssigned ToDenisChenu 
PrioritynoneSeverityfeature 
Status closedResolutionfixed 
Product Version3.0 
Target Version3.0Fixed in Version3.0 
Summary11784: Replace alert + confirm in core system (?)
Description

Currently :

  • we use alert and confirm hard javascript.
  • default template replace alert by boostrap dialog
  • default template don't replace confirm (due to langage string lack)

Maybe we must use some replacement in core.

If we add just some 'global javascript langage string' => template manager can do it easily: yes / no / close / (some other) ?

Additional Information

Pros :

  • Seems better on some screen
  • Can update look according to template

Cons:

  • In some, screen : the real alert/confirm is more readable (little phone for example).
TagsNo tags attached.

Relationships

related to 11977 closedDenisChenu Don't replace alert() javascript function 
related to 11970 closedDenisChenu create a template-default package 

Activities

DenisChenu

DenisChenu

2016-10-12 08:17

developer   ~41244

In fact : it's not a feature request : really don't know what core must do.

Maybe best choice is :

  • use alert and confirm function
  • let template manager update this js function if he want (do it in default template)
    => Then we can just add a array of some language string : needed : Yes/No/Close/(Cancel ?)/(Confirm ?)
jelo

jelo

2016-10-12 11:36

partner   ~41250

Currently I would vote for "let template manager update this js function".

I still don't know why alert system is default.
These popups save reload time, but since browser can offer to suppress alerts I never go for them. Are there big fans of the alert system? I can remember a time where showpopups=0 was the default setting in LS.

In LS 2.5 the showpopups=0 scope won't prevent dialogs in JS in certain situations, right? Cause I never saw a yes/no/cancel/confirm dialog inside html.
A info/alert box above the first question with html dialog would be my favor.
No javascript popup/alerts. But there must be a reason, why alert js is there.

DenisChenu

DenisChenu

2016-10-12 11:40

developer   ~41252

confirm is used for Clear all button only actually.

alert can be easily replaced in template : default template do it, but we can easily replace by a div at start of survey.

alert is used when come back to a survey : if you don't answer a mandatory question for example.

Maybe add some "langage string tool" :)

DenisChenu

DenisChenu

2016-12-10 14:24

developer   ~42512

Fixed in https://bugs.limesurvey.org/view.php?id=11970

core package use alert/confirm in a new function. template-default package update this function, template.js can update this function.

Issue History

Date Modified Username Field Change
2016-10-12 08:15 DenisChenu New Issue
2016-10-12 08:17 DenisChenu Note Added: 41244
2016-10-12 11:36 jelo Note Added: 41250
2016-10-12 11:40 DenisChenu Note Added: 41252
2016-11-14 17:26 LouisGac Product Version => 3.0
2016-11-14 17:26 LouisGac Target Version => 3.0
2016-12-10 14:22 DenisChenu Relationship added related to 11977
2016-12-10 14:22 DenisChenu Relationship added related to 11970
2016-12-10 14:24 DenisChenu Note Added: 42512
2016-12-10 14:24 DenisChenu Assigned To => DenisChenu
2016-12-10 14:24 DenisChenu Status new => resolved
2016-12-10 14:24 DenisChenu Resolution open => fixed
2016-12-10 14:24 DenisChenu Fixed in Version => 3.0
2018-04-06 11:48 markusfluer Status resolved => closed